每个面的底层曲面都是无限大的(Geom_Plane和Geom_CylindricalSurface),而每个面都用一个线框来限制其表面的范围--其中两个线框由位于Geom_Circle上的一条边,侧面的面由4条边组成--其中两条与顶面和底面共享,剩下两条边代表一条缝合边(见之前关于边的文章),即该面在其线框上包含缝合边两次(两条缝合边方向...
TopoDS_TFace #5由Geom_Surface加上TopoDS_TWire构成,其中TopoDS_TWire可以理解成边界。 Geom_Plane #2 就是圆柱上表面所在平面,Geom_Plane在u,v方向的参数范围都是[-∞,+∞] 边界TopoDS_TWire中包含了一个TopoDS_TEdge引用的链表,具体存储Edge的Brep信息在TopoDS_TEdge的子类BRep_TEdge中,包含的数据信息有 Stan...
解析TopoDS_TFace #5,它由Geom_Surface和TopoDS_TWire构成,TopoDS_TWire可以理解为边界。其中,Geom_Plane #2是圆柱上表面所在的平面,其在u,v方向的参数范围是无限大。TopoDS_TWire包含一个由TopoDS_TEdge引用的链表,其存储的Edge信息在BRep_TEdge中,包含Brep信息,关注点在于myCurves信息。每个Edge...
Geom_Plane plane(gp::XOY()); root->addChild(buildSurface(plane)); // Test Bezier Surface and B-Spline Surface. TColgp_Array2OfPnt array1(1,3,1,3); TColgp_Array2OfPnt array2(1,3,1,3); TColgp_Array2OfPnt array3(1,3,1,3); TColgp_Array2OfPnt array4(1,3,1,3); array...
Handle(Geom_Circle) C3DCircle = Handle(Geom_Circle)::DownCast(C3D); gp_Ax1 C3DCircleXAxis = C3DCircle->XAxis(); 另外,可以以将一个三维曲线,投影到一个平面内,从而生成一个二维曲线 gp_Pln ProjectionPlane(gp_Pnt(1,1,0),gp_Dir( 1,1,1 )); ...
#include <Geom_Plane.hxx> #include <Geom_CylindricalSurface.hxx> #include <Geom_ConicalSurface.hxx> #include <Geom_SphericalSurface.hxx> #include <Geom_ToroidalSurface.hxx> #include <Geom_BSplineSurface.hxx> #include <GeomAdaptor_Surface.hxx> ...
}voidtestPolyhedron(){// Plane surface polyhedron.Handle(Geom_Plane) aPlane =newGeom_Plane(gp::XOY());Handle(GeomAdaptor_Surface) aSurfaceAdaptor =newGeomAdaptor_Surface(aPlane,0.0,10.0,0.0,20.0);IntPatch_PolyhedronaPlanePolyhedron(aSurfaceAdaptor);writeStl(aPlanePolyhedron,"d:/plane.stl");/...
Handle(Geom_Plane) aPlaneSurface = new Geom_Plane(gp::XOY()); math_Vector aLower(1, 2); math_Vector aUpper(1, 2); // Parameter U range. aLower(1) = 0.0; aUpper(1) = 2.0; // Parameter V range. aLower(2) = 0.0;
//Surface record 1 - Plane. //Example: 1 0 0 3 0 0 1 1 0 -0 -0 1 0 Handle_Geom_Plane thePlane=newGeom_Plane(gp_Pnt(0,0,3), gp_Dir(0,0,1)); GeomTools::Write(thePlane, dumpFile); GeomTools::Dump(thePlane, dumpFile); ...
#include<GeomAPI_ProjectPointOnSurf.hxx>//计算三维点到三维平面的投影//成功:返回投影点//失败: 返回(0, 0, 0)点staticgp_PntcalculateOrthoProject(constTopoDS_Face&face,constgp_Pnt&p){gp_Pnt resultPt;// TopoDS_Face face = BRepBuilderAPI_MakeFace(plane);constHandle(Geom_Surface)&RefSurf=BRep...